Web Terminal
Open a browser terminal for a sandbox.
Conway provides a web terminal for each sandbox at:
https://{sandbox_id}.life.conway.techTo access it, create a terminal session and use the returned terminal_url (it includes an access token).
Create Terminal Session
POST /v1/sandboxes/:id/terminal-session
Example
curl -X POST "https://api.conway.tech/v1/sandboxes/{sandbox_id}/terminal-session" \
-H "Authorization: Bearer your-api-key" \
-H "Content-Type: application/json"Response
{
"token": "...",
"terminal_url": "https://{sandbox_id}.life.conway.tech?token=...",
"expires_at": "2026-03-15T11:26:20.000Z",
"expires_in_seconds": 2592000,
"sandbox_id": "{sandbox_id}"
}Session Lifetime (Sliding TTL)
Terminal sessions are time-limited:
- A terminal session is valid for up to 30 days since the last time it was used.
- Each time you open or reconnect to the web terminal, the expiration is extended (a sliding window).
- If you do not use it for longer than the window, you will need to request a new
terminal_url.
Security Notes
- Treat
terminal_urllike a password: anyone with the link can access your sandbox terminal while it is valid. - If you open
https://{sandbox_id}.life.conway.techwithout a token and you do not have an active session in that browser, you will need to create a new terminal session.